Subject: Re: bug#9146: M-x broken in console mode with viper (always gives: "viper bell"))

From: Stefano Zacchiroli <[email-masked]>
Date: Mon, 27 Feb 2012 13:08:11 +0100

On Mon, Feb 27, 2012 at 06:12:43PM +0800, Chong Yidong wrote:
> > IOW viper-intercept-ESC-key needs to be changed to call key-binding in
> > a context where Viper's minor-mode map(s) have been temporarily disabled
> > so the ESC binding to viper-intercept-ESC-key doesn't hide the thing
> > we're looking for.
> 
> Since no one else has stepped up to the plate, I took a crack at this.
> 
> Stefano, could you test if the following patch does the right thing?

That seems to have done the trick for me.
Applying the patch M-x works properly again.

-- 
Stefano Zacchiroli     zack@{upsilon.cc,pps.jussieu.fr,debian.org} . o .
Maître de conférences   ......   http://upsilon.cc/zack   ......   . . o
Debian Project Leader    .......   @zack on identi.ca   .......    o o o
« the first rule of tautology club is the first rule of tautology club »